List Fixed Asset Automations
curl --request GET \
--url https://api.meetcampfire.com/coa/api/fixed-asset-automation/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/coa/api/fixed-asset-automation/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/coa/api/fixed-asset-automation/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"name": "<string>",
"entity": 123,
"entity_name": "<string>",
"currency": "<string>",
"account": 123,
"account_name": "<string>",
"account_number": "<string>",
"amount_threshold": 0,
"asset_class": 123,
"asset_class_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"needs_review": true,
"forward_looking": true
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Core Accounting
List Fixed Asset Automations
List all automation rules or create a new one. GET /api/fixed-asset-automation/ POST /api/fixed-asset-automation/
GET
/
coa
/
api
/
fixed-asset-automation
/
List Fixed Asset Automations
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
A search term.
⌘I